udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
primaryVolDesc Struct Reference

`#include <ecma_167.h>`

Collaboration diagram for primaryVolDesc:

## Public Attributes
tag | descTag
uint32_t | volDescSeqNum
uint32_t | primaryVolDescNum
dstring | volIdent [32]
uint16_t | volSeqNum
uint16_t | maxVolSeqNum
uint16_t | interchangeLvl
uint16_t | maxInterchangeLvl
uint32_t | charSetList
uint32_t | maxCharSetList
dstring | volSetIdent [128]
charspec | descCharSet
charspec | explanatoryCharSet
extent_ad | volAbstract
extent_ad | volCopyright
regid | appIdent
timestamp | recordingDateAndTime
regid | impIdent
uint8_t | impUse [64]
uint32_t | predecessorVolDescSeqLocation
uint16_t | flags
uint8_t | reserved [22]

## Detailed Description

Definition at line 203 of file ecma_167.h.

## Member Data Documentation

regid primaryVolDesc::appIdent

Definition at line 220 of file ecma_167.h.

uint32_t primaryVolDesc::charSetList

Definition at line 213 of file ecma_167.h.

charspec primaryVolDesc::descCharSet

Definition at line 216 of file ecma_167.h.

tag primaryVolDesc::descTag

Definition at line 205 of file ecma_167.h.

charspec primaryVolDesc::explanatoryCharSet

Definition at line 217 of file ecma_167.h.

uint16_t primaryVolDesc::flags

Definition at line 225 of file ecma_167.h.

regid primaryVolDesc::impIdent

Definition at line 222 of file ecma_167.h.

uint8_t primaryVolDesc::impUse[64]

Definition at line 223 of file ecma_167.h.

uint16_t primaryVolDesc::interchangeLvl

Definition at line 211 of file ecma_167.h.

uint32_t primaryVolDesc::maxCharSetList

Definition at line 214 of file ecma_167.h.

uint16_t primaryVolDesc::maxInterchangeLvl

Definition at line 212 of file ecma_167.h.

uint16_t primaryVolDesc::maxVolSeqNum

Definition at line 210 of file ecma_167.h.

uint32_t primaryVolDesc::predecessorVolDescSeqLocation

Definition at line 224 of file ecma_167.h.

uint32_t primaryVolDesc::primaryVolDescNum

Definition at line 207 of file ecma_167.h.

timestamp primaryVolDesc::recordingDateAndTime

Definition at line 221 of file ecma_167.h.

uint8_t primaryVolDesc::reserved[22]

Definition at line 226 of file ecma_167.h.

extent_ad primaryVolDesc::volAbstract

Definition at line 218 of file ecma_167.h.

extent_ad primaryVolDesc::volCopyright

Definition at line 219 of file ecma_167.h.

uint32_t primaryVolDesc::volDescSeqNum

Definition at line 206 of file ecma_167.h.

dstring primaryVolDesc::volIdent[32]

Definition at line 208 of file ecma_167.h.

uint16_t primaryVolDesc::volSeqNum

Definition at line 209 of file ecma_167.h.

dstring primaryVolDesc::volSetIdent[128]

Definition at line 215 of file ecma_167.h.

The documentation for this struct was generated from the following file:

- include/ecma_167.h